% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/forwardrate-class.R
\name{as.forwardrate}
\alias{as.forwardrate}
\alias{as.forwardrate.SpotRate}
\alias{as.forwardrate.SpotRateCurve}
\title{Coerce objects to ForwardRate}
\usage{
as.forwardrate(x, ...)

\method{as.forwardrate}{SpotRate}(x, terms, refdate = NULL, ...)

\method{as.forwardrate}{SpotRateCurve}(x, t1 = NULL, t2 = NULL, ...)
}
\arguments{
\item{x}{a \code{SpotRate} or a \code{SpotRateCurve} object.}

\item{...}{additional arguments}

\item{terms}{a numeric with positive values representing terms or a Term
object.}

\item{refdate}{the curve reference date.}

\item{t1}{initial term}

\item{t2}{final term}
}
\value{
A \code{ForwardRate} object created from another object, \code{SpotRate} or
\code{SpotRateCurve}.
}
\description{
A \code{ForwardRate} object can be created from a \code{SpotRate} object and
a \code{SpotRateCurve}.
}
